#------------------------------------------------------------------------------
#
# Copyright (C) 2014
# ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
# JIVE (Joint Institute for VLBI in Europe) <http://www.jive.nl/>
# P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#------------------------------------------------------------------------------

# This file is based on generated file mentor/msim_setup.tcl.
# - compile_ip.tcl: vmap the IP specific libraries to ./work and compile all IP source files into those libraries similar as in the msim_setup.tcl
# - compile_ip.tcl: replace QSYS_SIMDIR by IP_DIR
# - hdllib.cfg: add this compile_ip.tcl to the modelsim_compile_ip_files key in the hdllib.cfg
# - hdllib.cfg: the values for modelsim_search_libraries key in the hdllib.cfg follow from altera libraries vmap section in the msim_setup.tcl

set IP_DIR   "$env(RADIOHDL)/libraries/technology/ip_arria10/tse_sgmii_gx/ip/generated/sim"

vlib ./work/

vmap ip_arria10_tse_sgmii_gx_altera_reset_controller_140            ./work/
vmap ip_arria10_tse_sgmii_gx_altera_eth_tse_nf_phyip_terminator_140 ./work/
vmap ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140             ./work/
vmap ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140    ./work/
vmap ip_arria10_tse_sgmii_gx_altera_eth_tse_avalon_arbiter_140      ./work/
vmap ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                 ./work/
vmap ip_arria10_tse_sgmii_gx_altera_eth_tse_140                     ./work/

vlog     "$IP_DIR/../altera_reset_controller_140/sim/altera_reset_controller.v"                              -work ip_arria10_tse_sgmii_gx_altera_reset_controller_140           
vlog     "$IP_DIR/../altera_reset_controller_140/sim/altera_reset_synchronizer.v"                            -work ip_arria10_tse_sgmii_gx_altera_reset_controller_140           
vlog     "$IP_DIR/../altera_eth_tse_nf_phyip_terminator_140/sim/mentor/altera_eth_tse_nf_phyip_terminator.v" -work ip_arria10_tse_sgmii_gx_altera_eth_tse_nf_phyip_terminator_140
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/altera_xcvr_functions.sv"                                -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/altera_xcvr_functions.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/alt_xcvr_resync.sv"                                      -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/alt_xcvr_resync.sv"                               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_pcs.sv"                                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_pcs_ch.sv"                                      -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_pma.sv"                                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_pma_ch.sv"                                      -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_xcvr_avmm.sv"                                   -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_xcvr_native.sv"                                 -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_pcs.sv"                                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_pcs_ch.sv"                               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_pma.sv"                                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_pma_ch.sv"                               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_xcvr_avmm.sv"                            -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_xcvr_native.sv"                          -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_10g_rx_pcs_rbc.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_10g_tx_pcs_rbc.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_8g_rx_pcs_rbc.sv"                          -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_8g_tx_pcs_rbc.sv"                          -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_common_pcs_pma_interface_rbc.sv"           -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_common_pld_pcs_interface_rbc.sv"           -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_fifo_rx_pcs_rbc.sv"                        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_fifo_tx_pcs_rbc.sv"                        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_gen3_rx_pcs_rbc.sv"                        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_gen3_tx_pcs_rbc.sv"                        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_krfec_rx_pcs_rbc.sv"                       -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_krfec_tx_pcs_rbc.sv"                       -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pipe_gen1_2_rbc.sv"                        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pipe_gen3_rbc.sv"                          -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pma_rx_dfe_rbc.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pma_rx_odi_rbc.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pma_rx_sd_rbc.sv"                          -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pma_tx_buf_rbc.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pma_tx_cgb_rbc.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_pma_tx_ser_rbc.sv"                         -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_rx_pcs_pma_interface_rbc.sv"               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_rx_pld_pcs_interface_rbc.sv"               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_tx_pcs_pma_interface_rbc.sv"               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/twentynm_hssi_tx_pld_pcs_interface_rbc.sv"               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_10g_rx_pcs_rbc.sv"                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_10g_tx_pcs_rbc.sv"                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_8g_rx_pcs_rbc.sv"                   -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_8g_tx_pcs_rbc.sv"                   -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_common_pcs_pma_interface_rbc.sv"    -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_common_pld_pcs_interface_rbc.sv"    -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_fifo_rx_pcs_rbc.sv"                 -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_fifo_tx_pcs_rbc.sv"                 -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_gen3_rx_pcs_rbc.sv"                 -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_gen3_tx_pcs_rbc.sv"                 -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_krfec_rx_pcs_rbc.sv"                -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_krfec_tx_pcs_rbc.sv"                -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pipe_gen1_2_rbc.sv"                 -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pipe_gen3_rbc.sv"                   -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pma_rx_dfe_rbc.sv"                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pma_rx_odi_rbc.sv"                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pma_rx_sd_rbc.sv"                   -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pma_tx_buf_rbc.sv"                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pma_tx_cgb_rbc.sv"                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_pma_tx_ser_rbc.sv"                  -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_rx_pcs_pma_interface_rbc.sv"        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_rx_pld_pcs_interface_rbc.sv"        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_tx_pcs_pma_interface_rbc.sv"        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/twentynm_hssi_tx_pld_pcs_interface_rbc.sv"        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/a10_avmm_h.sv"                                           -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/altera_xcvr_native_a10.sv"                               -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/alt_xcvr_native_avmm_nf.sv"                              -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/alt_xcvr_native_avmm_csr.sv"                             -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/alt_xcvr_native_prbs_accum.sv"                           -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/alt_xcvr_native_embedded_debug.sv"                       -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/a10_avmm_h.sv"                                    -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/altera_xcvr_native_a10.sv"                        -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/alt_xcvr_native_avmm_nf.sv"                       -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/alt_xcvr_native_avmm_csr.sv"                      -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/alt_xcvr_native_prbs_accum.sv"                    -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog -sv "$IP_DIR/../altera_xcvr_native_a10_140/sim/mentor/alt_xcvr_native_embedded_debug.sv"                -work ip_arria10_tse_sgmii_gx_altera_xcvr_native_a10_140            
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_eth_tse_pcs_pma_nf_phyip.v"       -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_align_sync.v"                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_dec10b8b.v"                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_dec_func.v"                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_enc8b10b.v"                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_autoneg.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_carrier_sense.v"              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_clk_gen.v"                    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_sgmii_clk_div.v"              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_sgmii_clk_enable.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_rx_encapsulation.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_tx_encapsulation.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_rx_encapsulation_strx_gx.v"   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_pcs_control.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_pcs_host_control.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_mdio_reg.v"                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_mii_rx_if_pcs.v"              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_mii_tx_if_pcs.v"              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_rx_sync.v"                    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_sgmii_clk_cntl.v"             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_colision_detect.v"            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_rx_converter.v"               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_rx_fifo_rd.v"                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_rx_converter.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_sgmii.v"                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_sgmii_strx_gx.v"          -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_tx_converter.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_tx_converter.v"               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_1000_base_x.v"            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_1000_base_x_strx_gx.v"    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_pcs.v"                    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_pcs_strx_gx.v"            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_rx.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_top_tx.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog -sv "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_reset_sequencer.sv"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog -sv "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_reset_ctrl_lego.sv"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_xcvr_resync.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_gxb_aligned_rxsync.v"         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_false_path_marker.v"          -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_reset_synchronizer.v"         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_clock_crosser.v"              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_a_fifo_13.v"                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_a_fifo_24.v"                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_a_fifo_34.v"                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_a_fifo_opt_1246.v"            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_a_fifo_opt_14_44.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_a_fifo_opt_36_10.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_gray_cnt.v"                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_sdpm_altsyncram.v"            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_altsyncram_dpm_fifo.v"        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_bin_cnt.v"                    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog -sv "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ph_calculator.sv"             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_sdpm_gen.v"                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_dc_fifo.v"                    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_dec_x10.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x10.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x10_wrapper.v"        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_dec_x14.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x14.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x14_wrapper.v"        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_dec_x2.v"                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x2.v"                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x2_wrapper.v"         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_dec_x23.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x23.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x23_wrapper.v"        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_dec_x36.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x36.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x36_wrapper.v"        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_dec_x40.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x40.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x40_wrapper.v"        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_dec_x30.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x30.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_enc_x30_wrapper.v"        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_pcs_pma_nf_phyip_140/sim/mentor/altera_tse_ecc_status_crosser.v"         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_pcs_pma_nf_phyip_140   
vlog     "$IP_DIR/../altera_eth_tse_avalon_arbiter_140/sim/mentor/altera_eth_tse_avalon_arbiter.v"           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_avalon_arbiter_140     
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_eth_tse_mac.v"                                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_clk_cntl.v"                                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_crc328checker.v"                           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_crc328generator.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_crc32ctl8.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_crc32galois8.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_gmii_io.v"                                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_lb_read_cntl.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_lb_wrt_cntl.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_hashing.v"                                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_host_control.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_host_control_small.v"                      -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mac_control.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_register_map.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_register_map_small.v"                      -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_counter_cntl.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_shared_mac_control.v"                      -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_shared_register_map.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_counter_cntl.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_lfsr_10.v"                                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_loopback_ff.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_altshifttaps.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_fifoless_mac_rx.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mac_rx.v"                                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_fifoless_mac_tx.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mac_tx.v"                                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_magic_detection.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mdio.v"                                    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mdio_clk_gen.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mdio_cntl.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_mdio.v"                                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mii_rx_if.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_mii_tx_if.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_pipeline_base.v"                           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog -sv "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_pipeline_stage.sv"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_dpram_16x32.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_dpram_8x32.v"                              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_dpram_ecc_16x32.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_quad_16x32.v"                              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_quad_8x32.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_fifoless_retransmit_cntl.v"                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_retransmit_cntl.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rgmii_in1.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rgmii_in4.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_nf_rgmii_module.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rgmii_module.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rgmii_out1.v"                              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rgmii_out4.v"                              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_ff.v"                                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_min_ff.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_ff_cntrl.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_ff_cntrl_32.v"                          -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_ff_cntrl_32_shift16.v"                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_ff_length.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_rx_stat_extract.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_timing_adapter32.v"                        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_timing_adapter8.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_timing_adapter_fifo32.v"                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_timing_adapter_fifo8.v"                    -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_1geth.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_fifoless_1geth.v"                      -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_w_fifo.v"                              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_w_fifo_10_100_1000.v"                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_wo_fifo.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_wo_fifo_10_100_1000.v"                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_top_gen_host.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_ff.v"                                   -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_min_ff.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_ff_cntrl.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_ff_cntrl_32.v"                          -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_ff_cntrl_32_shift16.v"                  -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_ff_length.v"                            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_ff_read_cntl.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_tx_stat_extract.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_false_path_marker.v"                       -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_reset_synchronizer.v"                      -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_clock_crosser.v"                           -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_a_fifo_13.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_a_fifo_24.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_a_fifo_34.v"                               -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_a_fifo_opt_1246.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_a_fifo_opt_14_44.v"                        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_a_fifo_opt_36_10.v"                        -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_gray_cnt.v"                                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_sdpm_altsyncram.v"                         -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_altsyncram_dpm_fifo.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_bin_cnt.v"                                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog -sv "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ph_calculator.sv"                          -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_sdpm_gen.v"                                -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_dc_fifo.v"                                 -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_dec_x10.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x10.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x10_wrapper.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_dec_x14.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x14.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x14_wrapper.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_dec_x2.v"                              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x2.v"                              -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x2_wrapper.v"                      -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_dec_x23.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x23.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x23_wrapper.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_dec_x36.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x36.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x36_wrapper.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_dec_x40.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x40.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x40_wrapper.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_dec_x30.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x30.v"                             -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_enc_x30_wrapper.v"                     -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_mac_140/sim/mentor/altera_tse_ecc_status_crosser.v"                      -work ip_arria10_tse_sgmii_gx_altera_eth_tse_mac_140                
vlog     "$IP_DIR/../altera_eth_tse_140/sim/ip_arria10_tse_sgmii_gx_altera_eth_tse_140_34nu5fy.v"            -work ip_arria10_tse_sgmii_gx_altera_eth_tse_140                    
vcom     "$IP_DIR/ip_arria10_tse_sgmii_gx.vhd"                                                                                                                                   
